#
# spec file for package python-pyasyncore
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


# Requires Python 3.11 or above
%define skip_python310 1
Name:           python-pyasyncore
VCS: https://src.suse.de/SLFO-pool/python-pyasyncore#72b50c6363414496477a41e62387306cf509a2bb59c685e7871d7f94cd6e4a8d
Version:        1.0.4
Release:        160000.1.4
Summary:        Make asyncore available for Python 3.12 onwards
License:        PSF-2.0
URL:            https://github.com/simonrob/pyasyncore
Source:         https://github.com/simonrob/pyasyncore/archive/refs/tags/v%{version}.tar.gz#/pyasyncore-%{version}.tar.gz
BuildRequires:  %{python_module base >= 3.11}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module testsuite}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Make asyncore available for Python 3.12 onwards

%prep
%autosetup -p1 -n pyasyncore-%{version}
chmod -x LICENSE README.md

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pyunittest -v

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/asyncore
%{python_sitelib}/pyasyncore-%{version}.dist-info

%changelog
* Mon Dec  2 2024 steven.kowalik@suse.com
- Build for all versions of Python that we can (Python 3.10 not supported)
- Actually run the testsuite, switching to GitHub tarball so we have them.
* Sat Mar 16 2024 dmueller@suse.com
- update to 1.0.4:
  * Remove Python version check at build time
  * Rename `asyncore.py` to `__init__.py`
  * Add previous standard library tests
* Thu Feb  8 2024 mmachova@suse.com
- Initial packaging (v1.0.3)
